[mpich-commits] [mpich] MPICH primary repository branch, master, updated. v3.2a2-94-gb14397f

Service Account noreply at mpich.org
Wed Jan 7 09:39:19 CST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "MPICH primary repository".

The branch, master has been updated
       via  b14397f77d64cf9659a746e14daff15de3585b5b (commit)
      from  6ce38c2783d2839884f83db4a15e46535a13950b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.mpich.org/mpich.git/commitdiff/b14397f77d64cf9659a746e14daff15de3585b5b

commit b14397f77d64cf9659a746e14daff15de3585b5b
Author: Ken Raffenetti <raffenet at mcs.anl.gov>
Date:   Tue Dec 23 11:27:57 2014 -0600

    patch libtool for ifort on darwin
    
    Recent versions of ifort on darwin will drop flags intended for the
    linker unless they are prefixed with "-Wl,". Jeff Hammond checked with
    the Intel compiler folks, and they confirmed that "-Wl," has been
    supported since the initial ifort release on OSX (9.1).
    
    Closes #2024
    
    Signed-off-by: Junchao Zhang <jczhang at mcs.anl.gov>

diff --git a/autogen.sh b/autogen.sh
index cdbd09d..8a8ccd9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -951,7 +951,22 @@ if [ "$do_build_configure" = "yes" ] ; then
                     fi
                 fi
 
-                if [ $powerpcle_patch_requires_rebuild = "yes" -o $nagfor_patch_requires_rebuild = "yes" ] ; then
+                # There is no need to patch if we're not going to use Fortran.
+                ifort_patch_requires_rebuild=no
+                if [ $do_bindings = "yes" ] ; then
+                    echo_n "Patching libtool.m4 for compatibility with ifort on OSX... "
+                    patch -N -s -l $amdir/confdb/libtool.m4 maint/darwin-ifort.patch
+                    if [ $? -eq 0 ] ; then
+                        ifort_patch_requires_rebuild=yes
+                        # Remove possible leftovers, which don't imply a failure
+                        rm -f $amdir/confdb/libtool.m4.orig
+                        echo "done"
+                    else
+                        echo "failed"
+                    fi
+                fi
+
+                if [ $powerpcle_patch_requires_rebuild = "yes" -o $nagfor_patch_requires_rebuild = "yes" -o $ifort_patch_requires_rebuild = "yes" ] ; then
                     # Rebuild configure
                     (cd $amdir && $autoconf -f) || exit 1
                     # Reset libtool.m4 timestamps to avoid confusing make
diff --git a/maint/darwin-ifort.patch b/maint/darwin-ifort.patch
new file mode 100644
index 0000000..42c7816
--- /dev/null
+++ b/maint/darwin-ifort.patch
@@ -0,0 +1,14 @@
+--- confdb/libtool.m4~ 2014-12-23 10:59:38.000000000 -0600
++++ confdb/libtool.m4  2014-12-23 11:05:54.000000000 -0600
+@@ -1097,7 +1097,10 @@
+   _LT_TAGVAR(link_all_deplibs, $1)=yes
+   _LT_TAGVAR(allow_undefined_flag, $1)="$_lt_dar_allow_undefined"
+   case $cc_basename in
+-     ifort*) _lt_dar_can_shared=yes ;;
++     ifort*)
++        _LT_TAGVAR(lt_prog_compiler_wl, $1)='-Wl,'
++        _lt_dar_can_shared=yes
++      ;;
+      *) _lt_dar_can_shared=$GCC ;;
+   esac
+   if test "$_lt_dar_can_shared" = "yes"; then

-----------------------------------------------------------------------

Summary of changes:
 autogen.sh               |   17 ++++++++++++++++-
 maint/darwin-ifort.patch |   14 ++++++++++++++
 2 files changed, 30 insertions(+), 1 deletions(-)
 create mode 100644 maint/darwin-ifort.patch


hooks/post-receive
-- 
MPICH primary repository


More information about the commits mailing list